Package org.globus.gsi.provider.simple

# Class SimpleMemoryCertStore

java.lang.Object
java.security.cert.CertStoreSpi
org.globus.gsi.provider.simple.SimpleMemoryCertStore

public class SimpleMemoryCertStore extends CertStoreSpi
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`SimpleMemoryCertStore(CertStoreParameters params)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Collection<? extends Certificate>`
`engineGetCertificates(CertSelector selector)`
Deprecated.
`Collection<? extends CRL>`
`engineGetCRLs(CRLSelector selector)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleMemoryCertStore

public SimpleMemoryCertStore(CertStoreParameters params) throws InvalidAlgorithmParameterException
Deprecated.

Throws:
  `InvalidAlgorithmParameterException`

## Method Details

### engineGetCRLs

public Collection<? extends CRL> engineGetCRLs(CRLSelector selector) throws CertStoreException
Deprecated.

Specified by:
  `engineGetCRLs` in class `CertStoreSpi`
Throws:
  `CertStoreException`

### engineGetCertificates

public Collection<? extends Certificate> engineGetCertificates(CertSelector selector) throws CertStoreException
Deprecated.

Specified by:
  `engineGetCertificates` in class `CertStoreSpi`
Throws:
  `CertStoreException`